eoBinOp(3)

NAME
eoBinOp - Binary genetic operator: subclasses eoOp, and defines basically the operator() with two operands, only the first one can be modified When defining your own, make sure that you return a boolean value indicating that you have changed the content.

SYNOPSIS

#include <eoOp.h>

Inherits eoOp< EOType >< EOType >, and eoBF< EOType &, const EOType &, bool >.

  Public Member Functions
eoBinOp ()
Ctor.
virtual std::string className () const

Detailed Description

  template<class EOType> class eoBinOp< EOType >
Binary genetic operator: subclasses eoOp, and defines basically the operator() with two operands, only the first one can be modified When defining your own, make sure that you return a boolean value indicating that you have changed the content.

Definition at line 117 of file eoOp.h.

Author

Generated automatically by Doxygen for EO from the source code.